# Yahoo! UI Library

### DataTable Widget 2.8.2r1

Yahoo! UI Library > datatable > YAHOO.util.ColumnResizer
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ColumnResizer - extends YAHOO.util.DDProxy

ColumnResizer subclasses DragDrop to support resizeable Columns.

### Constructor

YAHOO.util.ColumnResizer `( oDataTable , oColumn , elTh , sHandleElId , elProxy )`

Parameters:
  `oDataTable <YAHOO.widget.DataTable>` DataTable instance.
  `oColumn <YAHOO.widget.Column>` Column instance.
  `elTh <HTMLElement>` TH element reference.
  `sHandleElId <String>` DOM ID of the handle element that causes the resize.
  `elProxy <HTMLElement>` Resizer proxy element.

### Properties

#### editorOptions - `object`

Deprecated: Pass configs directly to CellEditor constructor.

#### Properties inherited from YAHOO.util.DDProxy:

`centerFrame, resizeFrame`

#### Properties inherited from YAHOO.util.DD:

`scroll`

#### Properties inherited from YAHOO.util.DragDrop:

`__ygDragDrop, _domRef, available, config, constrainX, constrainY, cursorIsOver, deltaX, deltaY, dragElId, dragOnly, events, groups, handleElId, hasOuterHandles, id, invalidHandleClasses, invalidHandleIds, invalidHandleTypes, isTarget, locked, maintainOffset, maxX, maxY, minX, minY, overlap, padding, primaryButtonOnly, startPageX, startPageY, useShim, xTicks, yTicks`

### Methods

#### clickValidator

`private void clickValidator ( e )`
Custom clickValidator to ensure Column is not in hidden state.

Parameters:
  `e <Event>`

#### onDrag

`void onDrag ( e )`
Handles drag events on the Column resizer.

Parameters:
  `e <string>` The drag event

#### onMouseDown

`void onMouseDown ( e )`
Handles mousedown events on the Column resizer.

Parameters:
  `e <string>` The mousedown event

#### onMouseUp

`void onMouseUp ( e )`
Handles mouseup events on the Column resizer.

Parameters:
  `e <string>` The mouseup event

#### resetResizerEl

`void resetResizerEl ( )`
Resets resizer element.

#### startDrag

`void startDrag ( e )`
Handles start drag on the Column resizer.

Parameters:
  `e <string>` The drag event

#### Methods inherited from YAHOO.util.DDProxy:

`_resizeProxy, createFrame, initFrame, showFrame`

#### Methods inherited from YAHOO.util.DD:

`alignElWithMouse, autoOffset, autoScroll, cachePosition, setDelta, setDragElPos`

#### Methods inherited from YAHOO.util.DragDrop:

`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, b4Drag, b4DragDrop, b4DragOut, b4DragOver, b4EndDrag, b4MouseDown, b4StartDrag, clearConstraints, clearTicks, clickValidator, endDrag, getDragEl, getEl, getTargetCoord, getTick, handleMouseDown, handleOnAvailable, init, initTarget, isLocked, isValidHandleChild, lock, on, onAvailable, onDrag, onDragDrop, onDragEnter, onDragOut, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setInitialPosition, setOuterHandleElId, setPadding, setStartPosition, setXConstraint, setXTicks, setYConstraint, setYTicks, startDrag, toString, unlock, unreg`

#### Events inherited from YAHOO.util.DDProxy:

`b4DragDropEvent, b4DragEvent b4DragOutEvent b4DragOverEvent b4EndDragEvent b4MouseDownEvent b4StartDragEvent dragDropEvent dragEnterEvent dragEvent dragOutEvent dragOverEvent endDragEvent invalidDropEvent mouseDownEvent mouseUpEvent startDragEvent`

#### Events inherited from YAHOO.util.DD:

`b4DragDropEvent, b4DragEvent, b4DragOutEvent b4DragOverEvent b4EndDragEvent b4MouseDownEvent b4StartDragEvent dragDropEvent dragEnterEvent dragEvent dragOutEvent dragOverEvent endDragEvent invalidDropEvent mouseDownEvent mouseUpEvent startDragEvent`

#### Events inherited from YAHOO.util.DragDrop:

`b4DragDropEvent, b4DragEvent, b4DragOutEvent, b4DragOverEvent, b4EndDragEvent, b4MouseDownEvent, b4StartDragEvent, dragDropEvent, dragEnterEvent, dragEvent, dragOutEvent, dragOverEvent, endDragEvent, invalidDropEvent, mouseDownEvent, mouseUpEvent, startDragEvent,`

Copyright © 2010 Yahoo! Inc. All rights reserved.